/*******************************************************************************

* Copyright (c) 2006 IONA Technologies PLC

* All rights reserved. This program and the accompanying materials

* are made available under the terms of the Eclipse Public License v1.0

* which accompanies this distribution, and is available at

* http://www.eclipse.org/legal/epl-v10.html

* 

* Contributors:

*     IONA Technologies PLC - initial API and implementation

*******************************************************************************/
package org.eclipse.stp.sc.xmlvalidator.classbuilder;

/**
 * @author jma
 *
 */
public class JParam extends JElement {

	
	Class<?> type;
		
	public JParam(String paramName, Class<?> paramType) {
		super(paramName);
		type = paramType;
	}
	
	public Class<?> getType() {
		return type;
	}
    
    public void setType(Class<?> value) {
		type = value;
	}
    
    public String toString() {
    	StringBuffer sb = new StringBuffer();
    	sb.append(name + " " + type.getName() + ",");
    	return sb.toString();
    }
	
}
